SA_STACKS(2)

NAME
sa_stacks - register scheduler activation upcall stacks

LIBRARY
libc

SYNOPSIS
#include <sa.h>
int
sa_stacks(int num, stack_t *stacks);

DESCRIPTION
sa_stacks() is used to register scheduler activation upcall stacks. stacks is an array of num of stack_t.

An upcall handler should be registered by sa_register() beforehand.

RETURN VALUES
On success, sa_stacks() returns the number of stacks registered. Otherwise, a value of -1 is returned and errno is set to indicate the error.

SEE ALSO
sa_register(2), pthread(3)